Bug 574982 - Review Request: rubygem-uuidtools - A simple universally unique ID generation library
Summary: Review Request: rubygem-uuidtools - A simple universally unique ID generatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 01:52 UTC by Matthew Kent
Modified: 2010-09-11 19:50 UTC (History)
3 users (show)

Fixed In Version: rubygem-uuidtools-2.1.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-01 01:41:19 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2010-03-19 01:52:35 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-uuidtools.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-uuidtools-2.1.1-1.fc14.src.rpm
Description: UUIDTools was designed to be a simple library for generating any of the various types of UUIDs.  It conforms to RFC 4122 whenever possible.

rpmlint /var/tmp/results/rubygem-uuidtools-* | grep -v '/1.8/doc/'
rubygem-uuidtools.src: W: no-buildroot-tag
rubygem-uuidtools-doc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 10 warnings.
(skipping the unexpanded-macro warnings in docs)

Build logs here https://koji.fedoraproject.org/koji/taskinfo?taskID=2062265

Comment 1 Mamoru TASAKA 2010-03-27 16:33:34 UTC
Well, I cannot find any blockers on this package

- packaging itself good
- can be installed
- rpmlint sane
- ruby -rubygems -e "require 'uuidtools'" works
- ruby -rubygems -e "gem 'uuidtools'" works

---------------------------------------------------------------
   This package (rubygem-uuidtools) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 2 Matthew Kent 2010-03-27 22:42:00 UTC
Thank you for the review!

Comment 3 Matthew Kent 2010-03-27 22:42:54 UTC
New Package CVS Request
=======================
Package Name: rubygem-uuidtools
Short Description: A simple universally unique ID generation library
Owners: mkent
Branches: F-11 F-12 F-13
InitialCC:

Comment 4 Kevin Fenzi 2010-03-30 21:36:38 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-31 07:38:20 UTC
rubygem-uuidtools-2.1.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-uuidtools-2.1.1-1.fc11

Comment 6 Fedora Update System 2010-03-31 07:39:19 UTC
rubygem-uuidtools-2.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-uuidtools-2.1.1-1.fc12

Comment 7 Fedora Update System 2010-03-31 07:40:06 UTC
rubygem-uuidtools-2.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-uuidtools-2.1.1-1.fc13

Comment 8 Fedora Update System 2010-04-01 01:41:15 UTC
rubygem-uuidtools-2.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-04-01 01:42:14 UTC
rubygem-uuidtools-2.1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-09 04:01:30 UTC
rubygem-uuidtools-2.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Michael Stahnke 2010-09-10 18:44:50 UTC
Package Change Request
======================
Package Name: rubygem-uuidtools
New Branches: el5 el6
Owners: stahnma

mkent is aware of change request.

Comment 12 Kevin Fenzi 2010-09-11 19:50:47 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.